---
lang: en
title: 'API docs: extension-logging.winstonloggerprovider'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/extensions/logging
permalink: /doc/en/lb4/apidocs.extension-logging.winstonloggerprovider.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/extension-logging](./extension-logging.md) &gt; [WinstonLoggerProvider](./extension-logging.winstonloggerprovider.md)

## WinstonLoggerProvider class

A provider class that creates WinstonLogger instances

<b>Signature:</b>

```typescript
export declare class WinstonLoggerProvider implements Provider<Logger> 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(transports, formats, options)](./extension-logging.winstonloggerprovider._constructor_.md) |  | Constructs a new instance of the <code>WinstonLoggerProvider</code> class |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [value()](./extension-logging.winstonloggerprovider.value.md) |  |  |


